Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
proofs::MdocHash< LogicCircuit, Field >::Witness Class Reference
Collaboration diagram for proofs::MdocHash< LogicCircuit, Field >::Witness:
[legend]

## Public Member Functions
| Witness (size_t num_attr)
void | input (QuadCircuit< Field > &Q, const LogicCircuit &lc)

## Data Fields
v8 | in_ [64 *kMaxSHABlocks]
v8 | nb_
ShaBlockWitness | sig_sha_ [kMaxSHABlocks]
std::vector< std::vector< ShaBlockWitness > > | attr_sha_
std::vector< std::vector< v8 > > | attrb_
CborIndex | valid_from_
CborIndex | valid_until_
CborIndex | dev_key_info_
CborIndex | value_digests_
std::vector< CborIndex > | attr_mso_
std::vector< AttrShift > | attr_ei_
std::vector< AttrShift > | attr_ev_
size_t | num_attr_

The documentation for this class was generated from the following file:

- lib/circuits/mdoc/mdoc_hash.h